package com.seeyon.apps.src_saomaoyi.btn;

import com.seeyon.cap4.form.bean.button.CommonBtn;
import com.seeyon.cap4.form.util.Enums;
import org.springframework.stereotype.Component;

@Component
public class SaoMiaoYiImgBtn extends CommonBtn {
    @Override
    public String getPCInjectionInfo() {
        return "{\"path\":\"apps_res/cap/customCtrlResources/saomiaoyiBtnResources/\",\"jsUri\":\"js/img.js\",\"initMethod\":\"init\",\"nameSpace\":\""
                + this.getNameSpace() + "\"}";
    }

    @Override
    public String getMBInjectionInfo() {
        return null;
    }

    @Override
    public String getKey() {
        return "1992789877417263104";
    }

    @Override
    public boolean canUse(Enums.FormType formType) {
        return true;
    }

    public String getNameSpace() {
        return "customBtn_" + this.getKey();
    }

    public String getFieldLength() {
        return "20";
    }
    @Override
    public String getText() {
        return "获取扫描仪图片按钮";
    }

    /**
     * 控件初始化接口，此接口在控件初始化的时候，会调用，主要用于定义控件所属插件id、在表单编辑器中的图标、表单编辑器中有哪些属性可以设置。
     * 使用举例：在接口中定义自定义控件在在表单编辑器中有哪些控件属性需要配置
     */
    @Override
    public void init() {
        //设置图标和插件ID
        setPluginId("src_saomiaoyi");
        setIcon("cap-icon-custom-button");
        // 自定义参数
    }

}
